Subject: Re: [bitcoin-dev] Draft BIP : fixed-schedule block size increase

From: Peter Todd <[email-masked]>
Date: Tue, 23 Jun 2015 16:50:43 -0400

On Tue, Jun 23, 2015 at 10:26:38PM +0200, Pieter Wuille wrote:
> On Tue, Jun 23, 2015 at 10:12 PM, Gavin Andresen <[email-masked]>
> wrote:
> 
> > On Tue, Jun 23, 2015 at 3:28 PM, Peter Todd <[email-masked]> wrote:
> >
> >> Wladimir noted that 'The original presented intention of block size
> >> increase was a one-time "scaling" to grant time for more decentralizing
> >> solutions to develop'
> >>
> >> Comments?
> >>
> >
> > Consensus is that this process is too painful to go through once a year.
> > I agree.
> >
> 
> If you believe we will need to go through this process once a year, we are
> not talking about a one-time scaling to grant time for more decentralizing
> solutions. It means you think we should keep scaling. I don't disagree
> there - as long as we're talking about scaling as availability of
> bandwidth, storage and processing power increase, there is no reason
> Bitcoin's blockchain can't grow proportionally.
> 
> However, an initial bump 8 MB and the growth rate afterwards seem more like
> a no-effectively-limit-ever to me.

In particular, note how this bump is being proposed at a time when
blockchain space demand is so low that transactions usually cost well
under a penny each, a insignificant amount of money for almost all
use-cases.

> I fear that the wish of not wanting to deal with - admittedly - a very hard
> problem, resulted here in throwing away several protections we currently
> have. And yes, I know you believe 8 MB won't be created immediately. I
> truly, honestly, do not think so either. But I prefer a system where I
> don't need to rely on anyone's guesses for the future.

In that regard Jeff Garzik's proposal of a blocksize increase with a
miner vote feedback mechanism is a huge improvement over Gavin's
proposal.

-- 
'peter'[:-1]@petertodd.org
000000000000000008c0be16e152f86ab3a271a13c3f41c56228d72990abf7bd